package com.platform.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;


/**
 * 部门管理
 *
 * @author liepngjun
 * @email 939961241@qq.com
 * @date 2017-09-17 23:58:47
 */
@ApiModel(value="SysDeptEntity对象", description="公司管理")
public class SysDeptEntityVo implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("部门ID")
	private Long deptId;
	//上级部门ID，一级部门为0
	@ApiModelProperty("上级部门ID，一级部门为0")
	private Long parentId;
	//部门名称
	@ApiModelProperty("部门名称")
	private String name;
	//上级部门名称
	@ApiModelProperty("上级部门名称")
	private String parentName;
	//排序
	@ApiModelProperty("排序")
	private Integer orderNum;
	//员工数量
	@ApiModelProperty("员工数量")
	private Integer staffNum;

	//logo 图片地址
	@ApiModelProperty("logo 图片地址")
	private String logoUrl;
	//当前员工数量
	@ApiModelProperty("当前员工数量")
	private Integer curStaffNum;

	//过期时间
	@ApiModelProperty("过期时间 格式：yyyy-MM-dd")
	private String expirationDate;
	/**
	 * ztree属性
	 */
	@ApiModelProperty("ztree属性")
	private Boolean open;

	private List<?> list;

	//管理员手机号
	@ApiModelProperty("管理员手机号")
	private String managerPhoneNum;

	public String getManagerPhoneNum() {
		return managerPhoneNum;
	}

	public void setManagerPhoneNum(String managerPhoneNum) {
		this.managerPhoneNum = managerPhoneNum;
	}

	public Integer getCurStaffNum() {
		return curStaffNum;
	}

	public void setCurStaffNum(Integer curStaffNum) {
		this.curStaffNum = curStaffNum;
	}

	public Integer getStaffNum() {
		return staffNum;
	}

	public void setStaffNum(Integer staffNum) {
		this.staffNum = staffNum;
	}

	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}

	public Long getDeptId() {
		return deptId;
	}
	/**
	 * 设置：上级部门ID，一级部门为0
	 */
	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}
	/**
	 * 获取：上级部门ID，一级部门为0
	 */
	public Long getParentId() {
		return parentId;
	}
	/**
	 * 设置：部门名称
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：部门名称
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：排序
	 */
	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}
	/**
	 * 获取：排序
	 */
	public Integer getOrderNum() {
		return orderNum;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public Boolean getOpen() {
		return open;
	}

	public void setOpen(Boolean open) {
		this.open = open;
	}

	public List<?> getList() {
		return list;
	}

	public void setList(List<?> list) {
		this.list = list;
	}

	public String getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}
}
